Update a form

Replaces the editable form configuration after validating the same complete definition required to create a form. Payment and UI schema rules are enforced by StoreFormRequest.

Authentication

AuthorizationBearer

The signed-in SchoolSet user token sent by the frontend.

Path parameters

formlongRequired

Request

This endpoint expects an object.
namestringRequired<=255 characters
academic_year_idintegerRequired
activebooleanRequired
data_schemamap from strings to anyRequired
ui_schemalist of maps from strings to anyRequired
recaptchabooleanRequired
email_receiptbooleanRequired
thank_you_messagestring or nullOptional
form_audience_idinteger or nullOptional
payment_settingsmap from strings to any or nullOptional
thank_you_iconstring or nullOptional
thank_you_icon_colorstring or nullOptional

Response

Form updated.
statusstring
messagestring
datalist of any

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error